> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetACDOperatorStatusStatistics

POST https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics

Get statistics for the specified operators and ACD statuses. This method can filter statistics by operator ids and statuses. It can also group results by day/hour or users.

Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `User manager`.

**Example request:** Get statistics for the 'READY' and 'ONLINE' statuses of all operators; grouped by operators.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/queues/get-acd-operator-status-statistics

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetACDOperatorStatusStatistics:
    post:
      operationId: get-acd-operator-status-statistics
      summary: GetACDOperatorStatusStatistics
      description: >-
        Get statistics for the specified operators and ACD statuses. This method
        can filter statistics by operator ids and statuses. It can also group
        results by day/hour or users.


        Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `User
        manager`.


        **Example request:** Get statistics for the 'READY' and 'ONLINE'
        statuses of all operators; grouped by operators.
      tags:
        - subpackage_queues
      parameters:
        - name: from_date
          in: query
          description: >-
            Date and time of statistics interval begin. Time zone is UTC, format
            is 24-h 'YYYY-MM-DD HH:mm:ss'
          required: true
          schema:
            type: string
        - name: to_date
          in: query
          description: >-
            Date and time of statistics interval begin. Time zone is UTC, format
            is 24-h 'YYYY-MM-DD HH:mm:ss'
          required: false
          schema:
            type: string
            default: current date and time
        - name: acd_status
          in: query
          description: >-
            The ACD status list separated by semicolons (;). The following
            values are possible: OFFLINE, ONLINE, READY, BANNED, IN_SERVICE,
            AFTER_SERVICE, TIMEOUT, DND
          required: false
          schema:
            type: array
            items:
              type: string
        - name: user_id
          in: query
          description: >-
            The user ID list separated by semicolons (;). Use the 'all' value to
            select all users
          required: true
          schema:
            type: array
            items:
              type: string
        - name: aggregation
          in: query
          description: >-
            Specifies how records are grouped by date and time. If set to 'day',
            the criteria is a day number. If set to 'hour_of_day', the criteria
            is a 60-minute interval within a day. If set to 'hour', the criteria
            is both day number and 60-minute interval within that day. If set to
            'none', records are not grouped by date and time
          required: false
          schema:
            type: string
            default: none
        - name: group
          in: query
          description: >-
            If set to 'user', first-level array in the resulting JSON groups
            records by the user ID, and second-level array groups them by date
            according to the 'aggregation' parameter. If set to 'aggregation',
            first-level array in the resulting JSON groups records according to
            the 'aggregation' parameter, and second-level array groups them by
            the user ID
          required: false
          schema:
            type: string
            default: user
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/queues_GetACDOperatorStatusStatistics_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    AcdOperatorStatusAggregationGroupTypeUserId:
      oneOf:
        - type: string
        - type: integer
      description: If aggregation is enabled, contains user ID for the results
      title: AcdOperatorStatusAggregationGroupTypeUserId
    AcdOperatorStatusStatisticsTypeAcdStatusOneOf1Ready:
      type: object
      properties:
        min:
          type: integer
        avg:
          type: integer
        max:
          type: integer
        count:
          type: integer
        sum:
          type: integer
      title: AcdOperatorStatusStatisticsTypeAcdStatusOneOf1Ready
    AcdOperatorStatusStatisticsTypeAcdStatusOneOf1Online:
      type: object
      properties:
        min:
          type: integer
        avg:
          type: integer
        max:
          type: integer
        count:
          type: integer
        sum:
          type: integer
      title: AcdOperatorStatusStatisticsTypeAcdStatusOneOf1Online
    AcdOperatorStatusStatisticsTypeAcdStatus1:
      type: object
      properties:
        READY:
          $ref: >-
            #/components/schemas/AcdOperatorStatusStatisticsTypeAcdStatusOneOf1Ready
        ONLINE:
          $ref: >-
            #/components/schemas/AcdOperatorStatusStatisticsTypeAcdStatusOneOf1Online
      title: AcdOperatorStatusStatisticsTypeAcdStatus1
    AcdOperatorStatusStatisticsTypeAcdStatus:
      oneOf:
        - type: array
          items:
            description: Any type
        - $ref: '#/components/schemas/AcdOperatorStatusStatisticsTypeAcdStatus1'
      description: The user statistics
      title: AcdOperatorStatusStatisticsTypeAcdStatus
    ACDOperatorStatusStatisticsType:
      type: object
      properties:
        user_id:
          type: string
          description: If aggregation is enabled, contains user ID for the results
        date:
          type: string
          description: >-
            Date string as returned by the Management API.


            If aggregation is enabled, contains UTC date for the results in 24-h
            'YYYY-MM-DD' format
        hour:
          type: integer
          description: >-
            If aggregation is enabled, contains the 60-minute interval number
            from 1 to 24
        acd_status:
          $ref: '#/components/schemas/AcdOperatorStatusStatisticsTypeAcdStatus'
          description: The user statistics
      description: Individual record in the  [ACDOperatorStatusAggregationGroupType] group.
      title: ACDOperatorStatusStatisticsType
    ACDOperatorStatusAggregationGroupType:
      type: object
      properties:
        user_id:
          $ref: '#/components/schemas/AcdOperatorStatusAggregationGroupTypeUserId'
          description: If aggregation is enabled, contains user ID for the results
        date:
          type: string
          description: >-
            Date string as returned by the Management API.


            If aggregation is enabled, contains UTC date for the results in 24-h
            'YYYY-MM-DD' format
        hour:
          type: integer
          description: >-
            If aggregation is enabled, contains the 60-minute interval number
            from 1 to 24
        statistics:
          type: array
          items:
            $ref: '#/components/schemas/ACDOperatorStatusStatisticsType'
          description: >-
            List of records grouped by date or user ID according to the 'group'
            method call argument
      description: The [GetACDOperatorStatusStatistics] function result item.
      title: ACDOperatorStatusAggregationGroupType
    queues_GetACDOperatorStatusStatistics_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/ACDOperatorStatusAggregationGroupType'
          description: >-
            List of groups, grouped by user ID or date according to the 'group'
            method call argument
      title: queues_GetACDOperatorStatusStatistics_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics"

querystring = {"from_date":"2026-04-28 17:30:00","user_id":"[\"string\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetACDOperatorStatusStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B%22string%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```